#include<stdio.h>
main()
{
	int n,swap=1;
	scanf("%d",&n);
	int a[n];
	for(int i=0;i<n;i++) scanf("%d",&a[i]);
	for(int i=0;i<n-1 && swap;i++)
	{
		int jmax=0,jj;
		for(int j=n-1;j>i;j--)
		{
			if(a[j]>jmax)
			{
				jj=j;
				jmax=a[j];
			}
		}
		if(jmax>a[i] && swap)
		{
			a[jj]=a[i];
			a[i]=jmax;
			swap=0;
		}
	}
	if(swap)
	{
		for(int i=0;i<n-1;i++) for(int j=i+1;j<n;j++) if(a[i]==a[j]) swap=0;
		if(swap)
		{
			int p=a[n-2];
			a[n-2]=a[n-1];
			a[n-1]=p;
		}
	}
	for(int i=0;i<n;i++) printf("%d ",a[i]);
}